function x = get_extrapolator(observations, lambda)
    % Calculates the max-stable predictor
    
    if size(observations) ~= size(lambda)
        disp('get_extrapolator: Invalid input. 0 returned.')
        x = 0;
    else
        x = max(observations.*lambda);
    end
end

